com.sun.jna.platform

## Interface RasterRangesUtils.RangesOutput

- Enclosing class:
    RasterRangesUtils

      public static interface RasterRangesUtils.RangesOutput

  Abstraction of a sink for ranges.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `outputRange(int x, int y, int w, int h)` Output a rectangular range.

- - ### Method Detail

    - #### outputRange

          boolean outputRange(int x,
                              int y,
                              int w,
                              int h)

      Output a rectangular range.
      Parameters:
        `x` - x coordinate of the top-left corner of the range
        `y` - y coordinate of the top-left corner of the range
        `w` - width of the range
        `h` - height of the range
      Returns:
        true if the output succeeded, false otherwise

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.